Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface OwnSignallingPointMBean

public abstract interface OwnSignallingPointMBean
extends Mtp3ManagedObjectMBean, SignallingPointMBean

This interface defines the methods of a Local Signalling Point Managed Bean(MBean). More than one local signalling point may be supported by the underlying stack management system. This interface extends the MTP-3 Service Access Point MBean interface.

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR
- MTP3_ERROR_ROUTING_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.mtp3.SignallingPointMBean
`NI_INTERNATIONAL_00, NI_INTERNATIONAL_01, NI_NATIONAL_10, NI_NATIONAL_11, TYPE_SEP, TYPE_STEP, TYPE_STP`

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getBackup()` Gets the ObjectName of the Backup OwnSignallingPointMBean of this OwnSignallingPointMBean.
`ObjectName` | `getMtp3TimerProfile()` Returns the ObjectName of the Mtp3TimerProfileMBean containing the MTP3 Timer values to be used with this OwnSignallingPointMBean
`ObjectName` | `getRouteSet(java.lang.Integer index)` Returns the ObjectName of the RouteSetMBean at the specified position in all of the RouteSetMBeans associated with this OwnSignallingPointMBean.
`ObjectName[]` | `getRouteSets()` Returns an array of ObjectNames of all the RouteSetMBeans associated with this OwnSignallingPointMBean.
`ObjectName` | `getScreeningTable(java.lang.Integer index)` Returns the ObjectName ScreeningTableMBean at the specified position in the array of all of the ScreeningTableMBeans associated with this OwnSignallingPointMBean.
`ObjectName[]` | `getScreeningTables()` Returns an array of ObjectNames of all the ScreeningTableMBeans associated with this OwnSignallingPointMBean.
`void` | `setBackup(ObjectName backup)` Sets the Backup OwnSignallingPointMBean of this OwnSignallingPointMBean identified by the specified ObjectName.
`void` | `setMtp3TimerProfile(ObjectName timerProfile)` Sets the Mtp3TimerProfileMBean (identified by the specified ObjectName) containing the MTP3 Timer values to be used with this OwnSignallingPointMBean
`void` | `setRouteSet(java.lang.Integer index, ObjectName routeSet)` Sets the RouteSetMBean (identified by the specified ObjectName) to the set of RouteSetMBeans of this OwnSignallingPointMBean at the the specified position
`void` | `setRouteSets(ObjectName[] routeSets)` Sets all of the RouteSetMBeans associated with this OwnSignallingPointMBean.
`void` | `setScreeningTable(java.lang.Integer index, ObjectName screeningTable)` Sets the ScreeningTablesMBean (identified by the specified ObjectName) at the specified position in the array of all of the ScreeningTablesMBeans associated with this OwnSignallingPointMBean.
`void` | `setScreeningTables(ObjectName[] screeningTables)` Sets all of the ScreeningTablesMBeans associated with this OwnSignallingPointMBean.

Methods inherited from interface jain.protocol.ss7.oam.mtp3.SignallingPointMBean
`getMtp3Sap, getMtp3Saps, getNetworkIndicator, getSignallingPointCode, getType, setNetworkIndicator, setSignallingPointCode, setType`

Method Detail

### setBackup

    public void setBackup(ObjectName backup)

  Sets the Backup OwnSignallingPointMBean of this OwnSignallingPointMBean identified by the specified ObjectName.
  Parameters:
    `backup` - the ObjectName of the Backup OwnSignallingPointMBean

### getBackup

    public ObjectName getBackup()

  Gets the ObjectName of the Backup OwnSignallingPointMBean of this OwnSignallingPointMBean.
  Returns:
    the ObjectName of the Backup OwnSignallingPointMBean

### setRouteSet

    public void setRouteSet(java.lang.Integer index,
                            ObjectName routeSet)
                     throws TooManyInstancesException

  Sets the RouteSetMBean (identified by the specified ObjectName) to the set of RouteSetMBeans of this OwnSignallingPointMBean at the the specified position
  Parameters:
    `index` - the index position of the element in the array
    `routeset` - the ObjectName of the RouteSetMBean to be added.
  Throws:
    TooManyInstancesException - - if index is greater than the number of RouteSetMBeans permitted for an OwnSignallingPointMBean by this implementation.

### setRouteSets

    public void setRouteSets(ObjectName[] routeSets)
                      throws TooManyInstancesException

  Sets all of the RouteSetMBeans associated with this OwnSignallingPointMBean.
  Parameters:
    `routesets` - an array of all the ObjectNames of the RouteSetMBeans associated with this OwnSignallingPointMBean.
  Throws:
    TooManyInstancesException - - if the size of routesets is greater than the number of RouteSetMBeans permitted for a OwnSignallingPointMBean by this implementation.

### getRouteSets

    public ObjectName[] getRouteSets()

  Returns an array of ObjectNames of all the RouteSetMBeans associated with this OwnSignallingPointMBean.
  Returns:
    an array of all the RouteSetMBeans associated with this OwnSignallingPointMBean.

### getRouteSet

    public ObjectName getRouteSet(java.lang.Integer index)

  Returns the ObjectName of the RouteSetMBean at the specified position in all of the RouteSetMBeans associated with this OwnSignallingPointMBean.
  Parameters:
    `index` - the index position of the element in the array
  Returns:
    the RouteSetMBean at the specified position

### getScreeningTables

    public ObjectName[] getScreeningTables()

  Returns an array of ObjectNames of all the ScreeningTableMBeans associated with this OwnSignallingPointMBean.
  Returns:
    an array of ObjectNames of all the ScreeningTableMBeans.

### getScreeningTable

    public ObjectName getScreeningTable(java.lang.Integer index)

  Returns the ObjectName ScreeningTableMBean at the specified position in the array of all of the ScreeningTableMBeans associated with this OwnSignallingPointMBean.
  Parameters:
    `index` - the index position of the element in the array
  Returns:
    the ObjectName of the ScreeningTableMBean at the specified position

### setScreeningTables

    public void setScreeningTables(ObjectName[] screeningTables)
                            throws TooManyInstancesException,
                                   IllegalOperationException

  Sets all of the ScreeningTablesMBeans associated with this OwnSignallingPointMBean.
  Parameters:
    `screeningTables` - an array of ObjectNames of all ScreeningTableMBeans.
  Throws:
    TooManyInstancesException - - if the size of screeningTables is greater than the number of ScreeningTableMBeans permitted for an OwnSignallingPointMBean by this implementation.
    IllegalOperationException - - if a screening table is being set for anything other than an STP.

### setScreeningTable

    public void setScreeningTable(java.lang.Integer index,
                                  ObjectName screeningTable)
                           throws TooManyInstancesException,
                                  IllegalOperationException

  Sets the ScreeningTablesMBean (identified by the specified ObjectName) at the specified position in the array of all of the ScreeningTablesMBeans associated with this OwnSignallingPointMBean.
  Parameters:
    `index` - the index position of the element in the array
    `screeningTable` - the ObjectName of the ScreeningTablesMBean to be set at the specified position
  Throws:
    TooManyInstancesException - - if index is greater than the number of ScreeningTablesMBeans permitted for a OwnSignallingPointMBean by this implementation.
    IllegalOperationException - - if a screening table is being set for anything other than an STP.

### getMtp3TimerProfile

    public ObjectName getMtp3TimerProfile()

  Returns the ObjectName of the Mtp3TimerProfileMBean containing the MTP3 Timer values to be used with this OwnSignallingPointMBean
  Returns:
    the ObjectName of the MTtp3TimerProfileMBean

### setMtp3TimerProfile

    public void setMtp3TimerProfile(ObjectName timerProfile)

  Sets the Mtp3TimerProfileMBean (identified by the specified ObjectName) containing the MTP3 Timer values to be used with this OwnSignallingPointMBean
  Parameters:
    `timerProfile` - the MTP3 Timer Profile MBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems